
package hmmerobj;

import integratedtoolkit.types.annotations.Constraints;
import integratedtoolkit.types.annotations.Method;
import integratedtoolkit.types.annotations.Parameter;
import integratedtoolkit.types.annotations.Parameter.Direction;
import integratedtoolkit.types.annotations.Parameter.Type;


public interface HMMPfamItf {

	@Constraints(storageElemSize = 0.5f)
	@Method(declaringClass = "hmmerobj.HMMPfamImpl")
	String hmmpfam(
		@Parameter(type = Type.STRING, direction = Direction.IN)
		String hmmpfamBin,
		@Parameter(type = Type.STRING, direction = Direction.IN)
		String commandLineArgs,
		@Parameter(type = Type.FILE, direction = Direction.IN)
		String seqFile,
		@Parameter(type = Type.FILE, direction = Direction.IN)
		String dbFile
	);

	@Method(declaringClass = "hmmerobj.HMMPfamImpl")
	String mergeSameDB(
		@Parameter(type = Type.OBJECT, direction = Direction.IN)
		String result1,
		@Parameter(type = Type.OBJECT, direction = Direction.IN)
		String result2
	);

	@Method(declaringClass = "hmmerobj.HMMPfamImpl")
	String mergeSameSeq(
		@Parameter(type = Type.OBJECT, direction = Direction.IN)
		String resultFile1,
		@Parameter(type = Type.OBJECT, direction = Direction.IN)
		String resultFile2,
		@Parameter(type = Type.INT, direction = Direction.IN)
		int aLimit
	);
}
